Industry data
According to your business sector or industry, you can include additional information when creating the payment that helps increase approval chances.
Below, you will find specific data for these industries that you can add to your integration.
Add any additional information you consider necessary about:
- Items (array
items)
Array items | Type | Description |
id | String | Code |
title | String | Name |
type | String | Type |
description | String | Description |
picture_url | String | Picture URL |
category_id | String | Category |
quantity | Integer | Quantity |
unit_price | Float | Unit price |
- Buyer (object
payer)
Object payer | Type | Description |
first_name | String | Name |
last_name | String | Surname |
identification | Object | Identification data |
identification_type | String | Identification type |
identification_number | String | Identification number |
phone | Object | Phone |
area_code | Integer | Area Code |
number | Integer | Phone number |
address | Object | Adress data |
zip_code | String | Postal code |
street_name | String | Street name |
street_number | Integer | Street number |
authentication_type | Enum | Authentication type ("Gmail" - "Facebook" - "Native web" - "Other") |
registration_date | Date | Buyer's registration date on the site. |
is_prime_user | Boolean | True if it is, False if it is not. |
is_first_purchase_online | Boolean | True if it is, False if it is not. |
last_purchase | Date | Date of the last purchase on the site. |
- Shipments (object
shipment)
Object shipment | Type | Description |
receiver_address | Object | Address of the buyer. |
zip_code | String | Postal code |
state_name | String | Province |
city_name | String | City |
street_number | Integer | Street number |
express_shipment | Boolean | True if it is, False if it is not. |
Below, you will find an example of how to send the data presented in the tables above:
curl
curl --location --request POST 'https://api.mercadopago.com/checkout/preferences' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --data-raw '{ "auto_return": "approved", "back_urls": { "failure": "https://www.mercadopago.com/home/failure", "pending": "https://www.mercadopago.com/home/pending", "success": "https://www.mercadopago.com/home/success" }, "notification_url": "https://webhook.site/xyz", "expires": false, "external_reference": "order-123", "date_of_expiration": "2025-03-12T12:58:41.425-04:00", "items": [ { "id": "1234", "currency_id": "CLP", "title": "Product", "picture_url": "", "description": "Product Description", "type": "test", "category_id": "fashion", "quantity": 1, "unit_price": 150 } ], "payer": { "phone": { "area_code": "11", "number": "679 789 318" }, "address": { "zip_code": "52", "street_name": "Av. Apoquindo", "street_number": 1000 }, "identification": { "identification_type": "RUT", "identification_number": "12345678" }, "email": "john@yourdomain.com", "first_name": "Carolina", "last_name": "Ponce", "date_created": "", "authentication_type": "Facebook", "registration date": "2015-06-02T12:58:41.425-04:00", "is_prime_user": false, "is_first_purchase_online": false, "last_purchase": "2020-01-02T12:58:41.425-04:00" }, "payment_methods": { "excluded_payment_methods": [ { "id": "" } ], "default_installments": null, "default_payment_method_id": null, "excluded_payment_types": [ { "id": "" } ], "installments": null }, "shipments": { "mode": "not_specified", "receiver_address": { "zip_code": "52", "street_name": "Av. Apoquindo", "city_name": "Las Condes", "state_name": "Santiago de Chile", "street_number": 1000 }, "express_shipment": false } }'
Add any additional information you consider necessary about:
- Items (array
items)
Array items | Type | Description |
id | String | Code |
title | String | Name |
category_id | String | Category |
quantity | Integer | Quantity |
unit_price | Float | Unit price |
warranty | Boolean | True if the product has a guarantee, False if it does not. |
- Buyer (object
payer)
Object payer | Type | Description |
first_name | String | Name |
last_name | String | Surname |
identification | Object | Identification data |
identification_type | String | Identification type |
identification_number | String | Identification number |
phone | Object | Phone |
area_code | Integer | Area Code |
number | Integer | Phone number |
address | Object | Adress data |
zip_code | String | Postal code |
street_name | String | Street name |
street_number | Integer | Street number |
authentication_type | Enum | Authentication type ("Gmail" - "Facebook" - "Native web" - "Other") |
registration_date | Date | Buyer's registration date on the site. |
is_prime_user | Boolean | True if it is, False if it is not. |
is_first_purchase_online | Boolean | True if it is, False if it is not. |
last_purchase | Date | Date of the last purchase on the site. |
- Shipments (object
shipment)
Object shipment | Type | Description |
local_pickup | Boolean | True if you withdraw in branch, False if you do not. |
receiver_address | Object | Address of the buyer. |
zip_code | String | Postal code |
state_name | String | Province |
city_name | String | City |
street_number | Integer | Street number |
express_shipment | Boolean | True if it is, False if it is not. |
Below, you will find an example of how to send the data presented in the tables above:
curl
curl --location --request POST 'https://api.mercadopago.com/checkout/preferences' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --data-raw '{ "auto_return": "approved", "back_urls": { "failure": "https://www.mercadopago.com/home/failure", "pending": "https://www.mercadopago.com/home/pending", "success": "https://www.mercadopago.com/home/success" }, "notification_url": "https://webhook.site/xyz", "expires": false, "external_reference": "order-123", "date_of_expiration": "2025-03-12T12:58:41.425-04:00", "items": [ { "id": "1234", "currency_id": "CLP", "title": "Product", "category_id": "phones", "quantity": 1, "unit_price": 150, "warranty": false, } ], "payer": { "phone": { "area_code": "11", "number": "679 789 318" }, "address": { "zip_code": "52", "street_name": "Av. Apoquindo", "street_number": 1000 }, "identification": { "identification_type": "RUT", "identification_number": "12345678" }, "email": "john@yourdomain.com”, "first_name": "Carolina", "last_name": "Ponce", "date_created": "", "authentication_type": "Facebook", "registration date": "2015-06-02T12:58:41.425-04:00", "is_prime_user": false, "is_first_purchase_online": false, "last_purchase": "2020-01-02T12:58:41.425-04:00" }, "payment_methods": { "excluded_payment_methods": [ { "id": "" } ], "default_installments": null, "default_payment_method_id": null, "excluded_payment_types": [ { "id": "" } ], "installments": null }, "shipments": { "mode": "not_specified", "receiver_address": { "zip_code": "52", "street_name": "Av. Apoquindo", "city_name": "Las Condes", "state_name": "Santiago de Chile", "street_number": 1000 }, "express_shipment": false, "local_pickup": false } }'
Add any additional information you consider necessary about:
- Items (array
items)
Array items | Type | Description |
id | String | Code |
title | String | Name |
category_id | String | Category |
quantity | Integer | Quantity |
unit_price | Float | Unit price |
category_descriptor | Object | Category description |
event_date | Date | Event date. Must be sent within the category_descriptor object. Must be sent in ISO 8601 format (date and time, in UTC). |
- Buyer (object
payer)
Object payer | Type | Description |
first_name | String | Name |
last_name | String | Surname |
identification | Object | Identification data |
identification_type | String | Identification type |
identification_number | String | Identification number |
phone | Object | Phone |
area_code | Integer | Area Code |
number | Integer | Phone number |
authentication_type | Enum | Authentication type ("Gmail" - "Facebook" - "Native web" - "Other") |
registration_date | Date | Buyer's registration date on the site. |
is_prime_user | Boolean | True if it is, False if it is not. |
is_first_purchase_online | Boolean | True if it is, False if it is not. |
last_purchase | Date | Date of the last purchase on the site. |
- Shipments (object
shipment)
Object shipment | Type | Description |
receiver_address | Object | Address of the buyer. |
zip_code | String | Postal code |
state_name | String | Province |
city_name | String | City |
street_number | Integer | Street number |
express_shipment | Boolean | True if it is, False if it is not. |
Below, you will find an example of how to send the data presented in the tables above:
curl
curl --location --request POST 'https://api.mercadopago.com/checkout/preferences' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --data-raw '{ "auto_return": "approved", "back_urls": { "failure": "https://www.mercadopago.com/home/failure", "pending": "https://www.mercadopago.com/home/pending", "success": "https://www.mercadopago.com/home/success" }, "notification_url": "https://webhook.site/xyz", "expires": false, "external_reference": "order-123", "date_of_expiration": "2025-03-12T12:58:41.425-04:00", "items": [ { "id": "1234", "currency_id": "CLP", "title": "Product", "category_id": "entertainment", "quantity": 1, "unit_price": 150, "category_descriptor":{ "event_date": "2022-03-12T12:58:41.425-04:00" }, } ], "payer": { "phone": { "area_code": "11", "number": "679 789 318" }, "identification": { "identification_type": "RUT", "identification_number": "12345678" }, "email": "john@yourdomain.com", "first_name": "Carolina", "last_name": "Ponce", "date_created": "", "authentication_type": "Facebook", "registration date": "2015-06-02T12:58:41.425-04:00", "is_prime_user": false, "is_first_purchase_online": false, "last_purchase": "2020-01-02T12:58:41.425-04:00" }, "payment_methods": { "excluded_payment_methods": [ { "id": "" } ], "default_installments": null, "default_payment_method_id": null, "excluded_payment_types": [ { "id": "" } ], "installments": null }, "shipments": { "mode": "not_specified", "receiver_address": { "zip_code": "52", "street_name": "Av. Apoquindo", "city_name": "Las Condes", "state_name": "Santiago de Chile", "street_number": 1000 }, "express_shipment": false, "local_pickup": false } }'
Add any additional information you consider necessary about:
- Items (array
items)
Array items | Type | Description |
id | String | Code |
title | String | Name |
description | String | Description |
category_id | String | Category |
quantity | Integer | Quantity |
unit_price | Float | Unit price |
warranty | Boolean | True if the product has a guarantee, False if it does not. |
- Buyer (object
payer)
Object payer | Type | Description |
first_name | String | Name |
last_name | String | Surname |
identification | Object | Identification data |
identification_type | String | Identification type |
identification_number | String | Identification number |
phone | Object | Phone |
area_code | Integer | Area code |
number | Integer | Phone number |
address | Object | Adress data |
zip_code | String | Postal code |
street_name | String | Street name |
street_number | Integer | Street number |
authentication_type | Enum | Authentication type ("Gmail" - "Facebook" - "Native web" - "Other") |
registration_date | Date | Buyer's registration date on the site. |
is_prime_user | Boolean | True if it is, False if it is not. |
is_first_purchase_online | Boolean | True if it is, False if it is not. |
last_purchase | Date | Date of the last purchase on the site. |
- Shipments (object
shipment)
Object shipment | Type | Description |
receiver_address | Object | Address of the buyer. |
zip_code | String | Postal code |
state_name | String | Province |
city_name | String | City |
street_number | Integer | Street number |
express_shipment | Boolean | True if it is, False if it is not. |
Below, you will find an example of how to send the data presented in the tables above:
curl
curl --location --request POST 'https://api.mercadopago.com/checkout/preferences' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --data-raw '{ "auto_return": "approved", "back_urls": { "failure": "https://www.mercadopago.com/home/failure", "pending": "https://www.mercadopago.com/home/pending", "success": "https://www.mercadopago.com/home/success" }, "notification_url": "https://webhook.site/xyz", "expires": false, "external_reference": "order-123", "date_of_expiration": "2025-03-12T12:58:41.425-04:00", "items": [ { "id": "1234", "currency_id": "CLP", "title": "Product", "picture_url": "", "description": "Product Description", "category_id": "home", "quantity": 1, "unit_price": 150, "warranty": false, } ], "payer": { "phone": { "area_code": "11", "number": "679 789 318" }, "address": { "zip_code": "52", "street_name": "Av. Apoquindo", "street_number": 1000 }, "identification": { "identification_type": "RUT", "identification_number": "12345678" }, "email": "john@yourdomain.com", "first_name": "Carolina", "last_name": "Ponce", "date_created": "", "authentication_type": "Facebook", "registration date": "2015-06-02T12:58:41.425-04:00", "is_prime_user": false, "is_first_purchase_online": false, "last_purchase": "2020-01-02T12:58:41.425-04:00" }, "payment_methods": { "excluded_payment_methods": [ { "id": "" } ], "default_installments": null, "default_payment_method_id": null, "excluded_payment_types": [ { "id": "" } ], "installments": null }, "shipments": { "mode": "not_specified", "receiver_address": { "zip_code": "52", "street_name": "Av. Apoquindo", "city_name": "Las Condes", "state_name": "Santiago de Chile", "street_number": 1000 }, "express_shipment": false, "local_pickup": false } }'
Add any additional information you consider necessary about:
- Items (array
items)
Array items | Type | Description |
id | String | Code |
title | String | Name |
category_id | String | Category |
quantity | Integer | Quantity |
unit_price | Float | Unit price |
- Buyer (object
payer)
Object payer | Type | Description |
first_name | String | Name |
last_name | String | Surname |
identification | Object | Identification data |
identification_type | String | Identification type |
identification_number | String | Identification number |
phone | Object | Phone |
area_code | Integer | Area code |
number | Integer | Phone number |
address | Object | Adress data |
zip_code | String | Postal code |
street_name | String | Street name |
street_number | Integer | Street number |
authentication_type | Enum | Authentication type ("Gmail" - "Facebook" - "Native web" - "Other") |
registration_date | Date | Buyer's registration date on the site. |
is_prime_user | Boolean | True if it is, False if it is not. |
is_first_purchase_online | Boolean | True if it is, False if it is not. |
last_purchase | Date | Date of the last purchase on the site. |
Below, you will find an example of how to send the data presented in the tables above:
curl
curl --location --request POST 'https://api.mercadopago.com/checkout/preferences' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --data-raw '{ "auto_return": "approved", "back_urls": { "failure": "https://www.mercadopago.com/home/failure", "pending": "https://www.mercadopago.com/home/pending", "success": "https://www.mercadopago.com/home/success" }, "notification_url": "https://webhook.site/xyz", "expires": false, "external_reference": "order-123", "date_of_expiration": "2025-03-12T12:58:41.425-04:00", "items": [ { "id": "1234", "currency_id": "CLP", "title": "Product", "picture_url": "", "description": "Product Description", "category_id": "services", "quantity": 1, "unit_price": 150 } ], "payer": { "phone": { "area_code": "11", "number": "679 789 318" }, "address": { "zip_code": "52", "street_name": "Av. Apoquindo", "street_number": 1000 }, "identification": { "identification_type": "RUT", "identification_number": "12345678" }, "email": "john@yourdomain.com", "name": "Carolina", "surname": "Ponce", "date_created": "", "authentication_type": "Facebook", "registration date": "2015-06-02T12:58:41.425-04:00", "is_prime_user": false, "is_first_purchase_online": false, "last_purchase": "2020-01-02T12:58:41.425-04:00" }, "payment_methods": { "excluded_payment_methods": [ { "id": "" } ], "default_installments": null, "default_payment_method_id": null, "excluded_payment_types": [ { "id": "" } ], "installments": null } }'
Add any additional information you consider necessary about:
- Items (array
items)
Array items | Type | Description |
id | String | Code |
title | String | Name |
description | String | Description |
picture_url | String | Picture URL |
category_id | String | Category |
quantity | Integer | Quantity |
unit_price | Float | Unit price |
- Buyer (object
payer)
Object payer | Type | Description |
first_name | String | Name |
last_name | String | Surname |
identification | Object | Identification data |
identification_type | String | Identification type |
identification_number | String | Identification number |
phone | Object | Phone |
area_code | Integer | Area code |
number | Integer | Phone number |
address | Object | Adress data |
zip_code | String | Postal code |
street_name | String | Street name |
street_number | Integer | Street number |
authentication_type | Enum | Authentication type ("Gmail" - "Facebook" - "Native web" - "Other") |
registration_date | Date | Buyer's registration date on the site. |
is_prime_user | Boolean | True if it is, False if it is not. |
is_first_purchase_online | Boolean | True if it is, False if it is not. |
last_purchase | Date | Date of the last purchase on the site. |
- Shipments (object
shipment)
Object shipment | Type | Description |
receiver_address | Object | Address of the buyer. |
zip_code | String | Postal code |
state_name | String | Province |
city_name | String | City |
street_number | Integer | Street number |
express_shipment | Boolean | True if it is, False if it is not. |
Below, you will find an example of how to send the data presented in the tables above:
curl
curl --location --request POST 'https://api.mercadopago.com/checkout/preferences' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --data-raw '{ "auto_return": "approved", "back_urls": { "failure": "https://www.mercadopago.com/us/home/failure", "pending": "https://www.mercadopago.com/us/home/pending", "success": "https://www.mercadopago.com/us/home/success" }, "notification_url": "https://webhook.site/xyz", "expires": false, "external_reference": "order-123", "date_of_expiration": "2025-03-12T12:58:41.425-04:00", "items": [ { "id": "1234", "currency_id": "CLP", "title": "Product", "picture_url": "", "description": "Product Description", "category_id": "others", "quantity": 1, "unit_price": 150 } ], "payer": { "phone": { "area_code": "11", "number": "679 789 318" }, "address": { "zip_code": "52", "street_name": "Av. Apoquindo", "street_number": 1000 }, "identification": { "identification_type": "RUT", "identification_number": "12345678" }, "email": "john@yourdomain.com", "name": "Carolina", "surname": "Ponce", "date_created": "", "authentication_type": "Facebook", "registration date": "2015-06-02T12:58:41.425-04:00", "is_prime_user": false, "is_first_purchase_online": false, "last_purchase": "2020-01-02T12:58:41.425-04:00" }, "payment_methods": { "excluded_payment_methods": [ { "id": "" } ], "default_installments": null, "default_payment_method_id": null, "excluded_payment_types": [ { "id": "" } ], "installments": null }, "shipments": { "mode": "not_specified", "receiver_address": { "zip_code": "52", "street_name": "Av. Apoquindo", "city_name": "Las Condes", "state_name": "Santiago de Chile", "street_number": 1000 }, "express_shipment": false, "local_pickup": false } }'
Add any additional information you consider necessary about:
- Items (array
items)
Array items | Type | Description |
id | String | Code |
title | String | Name |
description | String | Description |
category_id | String | Category |
quantity | Integer | Quantity |
unit_price | Float | Unit price |
category_descriptor | Object | Category description |
event_date | Date | Event date |
- Buyer (object
payer)
Object payer | Type | Description |
first_name | String | Name |
last_name | String | Surname |
identification | Object | Identification data |
identification_type | String | Identification type |
identification_number | String | Identification number |
phone | Object | Phone |
area_code | Integer | Area code |
number | Integer | Phone number |
address | Object | Adress data |
zip_code | String | Postal code |
street_name | String | Street name |
street_number | Integer | Street number |
authentication_type | Enum | Authentication type ("Gmail" - "Facebook" - "Native web" - "Other") |
registration_date | Date | Buyer's registration date on the site. |
is_prime_user | Boolean | True if it is, False if it is not. |
is_first_purchase_online | Boolean | True if it is, False if it is not. |
last_purchase | Date | Date of the last purchase on the site. |
- Shipments (object
shipment)
Object shipment | Type | Description |
receiver_address | Object | Address of the buyer. |
zip_code | String | Postal code |
state_name | String | Province |
city_name | String | City |
street_number | Integer | Street number |
Below, you will find an example of how to send the data presented in the tables above:
curl
curl --location --request POST 'https://api.mercadopago.com/checkout/preferences' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --data-raw '{ "auto_return": "approved", "back_urls": { "failure": "https://www.mercadopago.com/home/failure", "pending": "https://www.mercadopago.com/home/pending", "success": "https://www.mercadopago.com/home/success" }, "notification_url": "https://webhook.site/xyz", "expires": false, "external_reference": "order-123", "date_of_expiration": "2025-03-12T12:58:41.425-04:00", "items": [ { "id": "1234", "currency_id": "CLP", "title": "Service", "picture_url": "", "description": "Service description", "category_id": "services", "quantity": 1, "unit_price": 150, "category_descriptor":{ "event_date": "2022-03-12T12:58:41.425-04:00" }, } ], "payer": { "phone": { "area_code": "11", "number": "679 789 318" }, "address": { "zip_code": "52", "street_name": "Av. Apoquindo", "street_number": 1000 }, "identification": { "identification_type": "RUT", "identification_number": "12345678" }, "email": "john@yourdomain.com", "name": "Carolina", "surname": "Ponce", "date_created": "", "authentication_type": "Facebook", "registration date": "2015-06-02T12:58:41.425-04:00", "is_prime_user": false, "is_first_purchase_online": false, "last_purchase": "2020-01-02T12:58:41.425-04:00" }, "payment_methods": { "excluded_payment_methods": [ { "id": "" } ], "default_installments": null, "default_payment_method_id": null, "excluded_payment_types": [ { "id": "" } ], "installments": null }, "shipments": { "mode": "not_specified", "receiver_address": { "zip_code": "52", "street_name": "Av. Apoquindo", "city_name": "Las Condes", "state_name": "Santiago de Chile", "street_number": 1000 } } }'
Add any additional information you consider necessary about:
- Items (array
items)
Array items | Type | Description |
id | String | Code |
title | String | Name |
description | String | Description |
category_id | String | Category |
quantity | Integer | Quantity |
unit_price | Float | Unit price |
category_descriptor | Object | Category description. |
passenger | Object | Additional passenger information. |
first_name | String | Name |
last_name | String | Surname |
identification_type | String | Identification type |
identification_number | String | Identification number |
route | Object | Route information |
departure | String | Departure |
destination | String | Arrival |
departure_date_time | Date | Departure date. Example: 2024-06-20T06:20:00.000-04:00. |
arrival_date_time | Date | Arrival date |
company | String | Company |
- Buyer (object
payer)
Object payer | Type | Description |
first_name | String | Name |
last_name | String | Surname |
identification | Object | Identification data |
identification_type | String | Identification type |
identification_number | String | Identification number |
phone | Object | Phone |
area_code | Integer | Area code |
number | Integer | Phone number |
address | Object | Adress data |
zip_code | String | Postal code |
street_name | String | Street name |
street_number | Integer | Street number |
authentication_type | Enum | Authentication type ("Gmail" - "Facebook" - "Native web" - "Other") |
registration_date | Date | Buyer's registration date on the site. |
is_prime_user | Boolean | True if it is, False if it is not. |
is_first_purchase_online | Boolean | True if it is, False if it is not. |
last_purchase | Date | Date of the last purchase on the site. |
Below, you will find an example of how to send the data presented in the tables above:
curl
curl --location --request POST 'https://api.mercadopago.com/checkout/preferences' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --data-raw '{ "auto_return": "approved", "back_urls": { "failure": "https://www.mercadopago.com/home/failure", "pending": "https://www.mercadopago.com/home/pending", "success": "https://www.mercadopago.com/home/success" }, "notification_url": "https://webhook.site/xyz", "expires": false, "external_reference": "order-123", "date_of_expiration": "2025-03-12T12:58:41.425-04:00", "items": [ { "id": "1234", "currency_id": "CLP", "title": "Service", "description": "Service description", "category_id": "Travels", "category_descriptor":{ "passenger": { "first_name": "Carolina", "last_name": "Ponce", "type": "RUT", "number": 12345678 }, "route": { "departure": "Las Condes", "destination": "Londres", "departure_date_time": "2022-03-12T12:58:41.425-04:00", "arrival_date_time": "2022-03-14T12:58:41.425-04:00", "company": "Company" } }, "quantity": 1, "unit_price": 150 } ], "payer": { "phone": { "area_code": "11", "number": "679 789 318" }, "address": { "zip_code": "52", "street_name": "Av. Apoquindo", "street_number": 1000 }, "identification": { "identification_type": "RUT", "identification_number": "12345678" }, "email": "john@yourdomain.com", "name": "Carolina", "surname": "Ponce", "date_created": "", "authentication_type": "Facebook", "registration date": "2015-06-02T12:58:41.425-04:00", "is_prime_user": false, "is_first_purchase_online": false, "last_purchase": "2020-01-02T12:58:41.425-04:00" }, "payment_methods": { "excluded_payment_methods": [ { "id": "" } ], "default_installments": null, "default_payment_method_id": null, "excluded_payment_types": [ { "id": "" } ], "installments": null } }'
Add any additional information you consider necessary about:
- Items (array
items)
Array items | Type | Description |
id | String | Code |
title | String | Name |
category_id | String | Category |
quantity | Integer | Quantity |
unit_price | Float | Unit price |
event_date | Date | Event date |
category_descriptor | Object | Category description |
passenger | Object | Additional passenger information |
first_name | String | Name |
last_name | String | Surname |
identification_type | String | Identification type |
identification_number | String | Identification number |
- Buyer (object
payer)
Object payer | Type | Description |
first_name | String | Name |
last_name | String | Surname |
identification | Object | Identification data |
identification_type | String | Identification type |
identification_number | String | Identification number |
phone | Object | Phone |
area_code | Integer | Area code |
number | Integer | Phone number |
address | Object | Adress data |
zip_code | String | Postal code |
street_name | String | Street name |
street_number | Integer | Street number |
authentication_type | Enum | Authentication type ("Gmail" - "Facebook" - "Native web" - "Other") |
registration_date | Date | Buyer's registration date on the site. |
is_prime_user | Boolean | True if it is, False if it is not. |
is_first_purchase_online | Boolean | True if it is, False if it is not. |
last_purchase | Date | Date of the last purchase on the site. |
Below, you will find an example of how to send the data presented in the tables above:
curl
curl --location --request POST 'https://api.mercadopago.com/checkout/preferences' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --data-raw '{ "auto_return": "approved", "back_urls": { "failure": "https://www.mercadopago.com/home/failure", "pending": "https://www.mercadopago.com/home/pending", "success": "https://www.mercadopago.com/home/success" }, "notification_url": "https://webhook.site/xyz", "expires": false, "external_reference": "order-123", "date_of_expiration": "2025-03-12T12:58:41.425-04:00", "items": [ { "id": "1234", "currency_id": "CLP", "title": "Service", "description": "Service description", "category_id": "Travels", "category_descriptor": { "event_date": "2020-06-02T12:58:41.425-04:00", "passenger": { "first_name": "Carolina", "last_name": "Ponce", "type": "RUT", "number": 12345678 } }, "quantity": 1, "unit_price": 150 } ], "payer": { "phone": { "area_code": "11", "number": "679 789 318" }, "address": { "zip_code": "52", "street_name": "Av. Apoquindo", "street_number": 1000 }, "identification": { "identification_type": "RUT", "identification_number": "12345678" }, "email": "john@yourdomain.com", "name": "Carolina", "surname": "Ponce", "date_created": "", "authentication_type": "Facebook", "registration date": "2015-06-02T12:58:41.425-04:00", "is_prime_user": false, "is_first_purchase_online": false, "last_purchase": "2020-01-02T12:58:41.425-04:00" }, "payment_methods": { "excluded_payment_methods": [ { "id": "" } ], "default_installments": null, "default_payment_method_id": null, "excluded_payment_types": [ { "id": "" } ], "installments": null } }'
Add any additional information you consider necessary about:
- Items (array
items)
Array items | Type | Description |
id | String | Code |
title | String | Name |
category_id | String | Category |
quantity | Integer | Quantity |
unit_price | Float | Unit price |
- Buyer (object
payer)
Object payer | Type | Description |
first_name | String | Name |
last_name | String | Surname |
identification | Object | Identification data |
identification_type | String | Identification type |
identification_number | String | Identification number |
phone | Object | Phone |
area_code | Integer | Area code |
number | Integer | Phone number |
address | Object | Adress data |
zip_code | String | Postal code |
street_name | String | Street name |
street_number | Integer | Street number |
authentication_type | Enum | Authentication type ("Gmail" - "Facebook" - "Native web" - "Other") |
registration_date | Date | Buyer's registration date on the site. |
is_prime_user | Boolean | True if it is, False if it is not. |
is_first_purchase_online | Boolean | True if it is, False if it is not. |
last_purchase | Date | Date of the last purchase on the site. |
Below, you will find an example of how to send the data presented in the tables above:
curl
curl --location --request POST 'https://api.mercadopago.com/checkout/preferences' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --data-raw '{ "auto_return": "approved", "back_urls": { "failure": "https://www.mercadopago.com/home/failure", "pending": "https://www.mercadopago.com/home/pending", "success": "https://www.mercadopago.com/home/success" }, "notification_url": "https://webhook.site/xyz", "expires": false, "external_reference": "order-123", "date_of_expiration": "2025-03-12T12:58:41.425-04:00", "items": [ { "id": "1234", "currency_id": "CLP", "title": "Product", "picture_url": "", "category_id": "others", "quantity": 1, "unit_price": 150 } ], "payer": { "phone": { "area_code": "11", "number": "679 789 318" }, "address": { "zip_code": "52", "street_name": "Av. Apoquindo", "street_number": 1000 }, "identification": { "identification_type": "RUT", "identification_number": "12345678" }, "email": "john@yourdomain.com", "name": "Carolina", "surname": "Ponce", "date_created": "", "authentication_type": "Facebook", "registration date": "2015-06-02T12:58:41.425-04:00", "is_prime_user": false, "is_first_purchase_online": false, "last_purchase": "2020-01-02T12:58:41.425-04:00" }, "payment_methods": { "excluded_payment_methods": [ { "id": "" } ], "default_installments": null, "default_payment_method_id": null, "excluded_payment_types": [ { "id": "" } ], "installments": null } }'
Add any additional information you consider necessary about:
- Items (array
items)
Array items | Type | Description |
id | String | Code |
title | String | Name |
description | String | Description |
category_id | String | Category |
quantity | Integer | Quantity |
unit_price | Float | Unit price |
- Buyer (object
payer)
Object payer | Type | Description |
first_name | String | Name |
last_name | String | Surname |
identification | Object | Identification data |
identification_type | String | Identification type |
identification_number | String | Identification number |
phone | Object | Phone |
area_code | Integer | Area code |
number | Integer | Phone number |
address | Object | Adress data |
zip_code | String | Postal code |
street_name | String | Street name |
street_number | Integer | Street number |
authentication_type | Enum | Authentication type ("Gmail" - "Facebook" - "Native web" - "Other") |
registration_date | Date | Buyer's registration date on the site. |
is_prime_user | Boolean | True if it is, False if it is not. |
is_first_purchase_online | Boolean | True if it is, False if it is not. |
last_purchase | Date | Date of the last purchase on the site. |
- Shipments (object
shipment)
Object shipment | Type | Description |
receiver_address | Object | Address of the buyer. |
zip_code | String | Postal code |
state_name | String | Province |
city_name | String | City |
street_number | Integer | Street number |
floor | String | Floor |
apartment | String | Apartament |
local_pickup | Boolean | True if withdrawn at branch, False if not. |
Below, you will find an example of how to send the data presented in the tables above:
curl
curl --location --request POST 'https://api.mercadopago.com/checkout/preferences' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --data-raw '{ "auto_return": "approved", "back_urls": { "failure": "https://www.mercadopago.com/home/failure", "pending": "https://www.mercadopago.com/home/pending", "success": "https://www.mercadopago.com/home/success" }, "notification_url": "https://webhook.site/xyz", "expires": false, "external_reference": "order-123", "date_of_expiration": "2025-03-12T12:58:41.425-04:00", "items": [ { "id": "1234", "currency_id": "CLP", "title": "Product", "picture_url": "", "description": "Product description", "category_id": "others", "quantity": 1, "unit_price": 150 } ], "payer": { "phone": { "area_code": "11", "number": "679 789 318" }, "address": { "zip_code": "52", "street_name": "Av. Apoquindo", "street_number": 1000 }, "identification": { "identification_type": "RUT", "identification_number": "12345678" }, "email": "john@yourdomain.com", "name": "Carolina", "surname": "Ponce", "date_created": "", "authentication_type": "Facebook", "registration date": "2015-06-02T12:58:41.425-04:00", "is_prime_user": false, "is_first_purchase_online": false, "last_purchase": "2020-01-02T12:58:41.425-04:00" }, "payment_methods": { "excluded_payment_methods": [ { "id": "" } ], "default_installments": null, "default_payment_method_id": null, "excluded_payment_types": [ { "id": "" } ], "installments": null }, "shipments": { "mode": "not_specified", "local_pickup": false, "receiver_address": { "zip_code": "52", "street_name": "Av. Apoquindo", "city_name": "Las Condes", "state_name": "Santiago de Chile", "street_number": 1000 "floor": "12", "apartment": "B" } } }'
Add any additional information you consider necessary about:
- Items (array
items)
Array items | Type | Description |
id | String | Code |
title | String | Name |
description | String | Description |
category_id | String | Category |
quantity | Integer | Quantity |
unit_price | Float | Unit price |
- Buyer (object
payer)
Object payer | Type | Description |
first_name | String | Name |
last_name | String | Surname |
identification | Object | Identification data |
identification_type | String | Identification type |
identification_number | String | Identification number |
phone | Object | Phone |
area_code | Integer | Area Code |
number | Integer | Phone number |
address | Object | Adress data |
zip_code | String | Postal code |
street_name | String | Street name |
street_number | Integer | Street number |
authentication_type | Enum | Authentication type ("Gmail" - "Facebook" - "Native web" - "Other") |
registration_date | Date | Buyer's registration date on the site. |
is_first_purchase_online | Boolean | True if it is, False if it is not. |
last_purchase | Date | Date of the last purchase on the site. |
- Shipments (object
shipment)
Object shipment | Type | Description |
receiver_address | Object | Address of the buyer. |
zip_code | String | Postal code |
state_name | String | Province |
city_name | String | City |
street_number | Integer | Street number |
floor | String | Floor |
apartment | String | Apartament |
local_pickup | Boolean | True if withdrawn at branch, False if not. |
Below, you will find an example of how to send the data presented in the tables above:
curl
curl --location --request POST 'https://api.mercadopago.com/checkout/preferences' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --data-raw '{ "auto_return": "approved", "back_urls": { "failure": "https://www.mercadopago.com/home/failure", "pending": "https://www.mercadopago.com/home/pending", "success": "https://www.mercadopago.com/home/success" }, "notification_url": "https://webhook.site/xyz", "expires": false, "external_reference": "order-123", "date_of_expiration": "2025-03-12T12:58:41.425-04:00", "items": [ { "id": "1234", "currency_id": "CLP", "title": "Product", "picture_url": "", "description": "Product Description", "category_id": "others", "quantity": 1, "unit_price": 150 } ], "payer": { "phone": { "area_code": "11", "number": "679 789 318" }, "address": { "zip_code": "52", "street_name": "Av. Apoquindo", "street_number": 1000 }, "identification": { "identification_type": "RUT", "identification_number": "12345678" }, "email": "john@yourdomain.com", "name": "Carolina", "surname": "Ponce", "date_created": "", "authentication_type": "Facebook", "registration date": "2015-06-02T12:58:41.425-04:00", "is_first_purchase_online": false, "last_purchase": "2020-01-02T12:58:41.425-04:00" }, "payment_methods": { "excluded_payment_methods": [ { "id": "" } ], "default_installments": null, "default_payment_method_id": null, "excluded_payment_types": [ { "id": "" } ], "installments": null }, "shipments": { "mode": "not_specified", "local_pickup": false, "receiver_address": { "zip_code": "52", "street_name": "Av. Apoquindo", "city_name": "Las Condes", "state_name": "Santiago de Chile", "street_number": 1000 "floor": "12", "apartment": "B" } } }'
Add any additional information you consider necessary about:
- Items (array
items)
Array items | Type | Description |
id | String | Code |
title | String | Name |
description | String | Description |
category_id | String | Category |
quantity | Integer | Quantity |
unit_price | Float | Unit price |
- Buyer (object
payer)
Object payer | Type | Description |
first_name | String | Name |
last_name | String | Surname |
identification | Object | Identification data |
identification_type | String | Identification type |
identification_number | String | Identification number |
phone | Object | Phone |
area_code | Integer | Area Code |
number | Integer | Phone number |
address | Object | Adress data |
zip_code | String | Postal code |
street_name | String | Street name |
street_number | Integer | Street number |
authentication_type | Enum | Authentication type ("Gmail" - "Facebook" - "Native web" - "Other") |
registration_date | Date | Buyer's registration date on the site. |
is_prime_user | Boolean | True if it is, False if it is not. |
is_first_purchase_online | Boolean | True if it is, False if it is not. |
last_purchase | Date | Date of the last purchase on the site. |
Below, you will find an example of how to send the data presented in the tables above:
curl
curl --location --request POST 'https://api.mercadopago.com/checkout/preferences' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --data-raw '{ "auto_return": "approved", "back_urls": { "failure": "https://www.mercadopago.com/home/failure", "pending": "https://www.mercadopago.com/home/pending", "success": "https://www.mercadopago.com/home/success" }, "notification_url": "https://webhook.site/xyz", "expires": false, "external_reference": "order-123", "date_of_expiration": "2025-03-12T12:58:41.425-04:00", "items": [ { "id": "1234", "currency_id": "CLP", "title": "Product", "picture_url": "", "description": "Product Description", "category_id": "others", "quantity": 1, "unit_price": 150 } ], "payer": { "phone": { "area_code": "11", "number": "679 789 318" }, "address": { "zip_code": "52", "street_name": "Av. Apoquindo", "street_number": 1000 }, "identification": { "identification_type": "RUT", "identification_number": "12345678" }, "email": "john@yourdomain.com", "name": "Carolina", "surname": "Ponce", "date_created": "", "authentication_type": "Facebook", "registration date": "2015-06-02T12:58:41.425-04:00", "is_first_purchase_online": false, "is_prime_user": false, "last_purchase": "2020-01-02T12:58:41.425-04:00" }, "payment_methods": { "excluded_payment_methods": [ { "id": "" } ], "default_installments": null, "default_payment_method_id": null, "excluded_payment_types": [ { "id": "" } ], "installments": null } }'
Add any additional information you consider necessary about:
- Items (array
items)
Array items | Type | Description |
id | String | Item identification code. |
title | String | Item name. |
warranty | Boolean | true if it is, false if it is not. |
category_id | String | Item category. |
quantity | Integer | Quantity of units for the item. |
unit_price | Float | Unit price assigned to the item. It must be an integer. |
- Buyer (object
payer)
Object payer | Type | Description |
first_name | String | Buyer's first name. |
last_name | String | Buyer's last name. |
identification | Object | Buyer's identification data. |
type | String | Type of identification. It is found within the identification object. |
number | String | Identification number. It is found within the identification object. |
phone | Object | Buyer's phone number. |
area_code | Integer | Buyer's area code. It is found within the phone object. |
number | Integer | Buyer's phone number. It is found within the phone object. |
address | Object | Buyer's address data. |
zip_code | String | Buyer's postal code. It is found within the address object. |
street_name | String | Street name of the buyer's address. It is found within the address object. |
street_number | Integer | Street number of the buyer's address. It is found within the address object. |
authentication_type | Enum | Type of authentication. It can be "Gmail", "Facebook", "Native Web", or "Other". |
registration_date | Date | Buyer's registration date on the site. |
is_prime_user | Boolean | Indicates if the user is premium. Put true if they are or false if they are not. |
is_first_purchase_online | Boolean | Indicates if this is the customer's first purchase. Put true if they are or false if they are not. |
last_purchase | Date | Date of the last purchase on the site. |
Below, you will find an example of how to send the data presented in the tables above:
curl
curl --location 'https://api.mercadopago.com/checkout/preferences' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {{access_token}}' \ --data-raw '{ "auto_return": "approved", "back_urls": { "failure": "https://www.mercadopago.com/home/failure", "pending": "https://www.mercadopago.com/home/pending", "success": "https://www.mercadopago.com/home/success" }, "notification_url": "https://webhook.site/xyz", "expires": false, "external_reference": "order-123", "date_of_expiration": "2026-03-12T12:58:41.425-04:00", "items": [ { "id": "1234", "currency_id": "MXN", "title": "Producto", "picture_url": "", "description": "Descripción de producto", "category_id": "lottery", "quantity": 1, "unit_price": 150 } ], "payer": { "phone": { "area_code": "11", "number": "619 911 306" }, "address": { "zip_code": "52", "street_name": "Insurgentes Sur", "street_number": 1000 }, "identification": { "identification_type": "-", "identification_number": "12345678" }, "email": "carlota.castellanos@yourdomain.com", "name": "Carlota", "surname": "Castellanos", "date_created": "", "authentication_type": "Facebook", "registration date": "2015-06-02T12:58:41.425-04:00", "is_first_purchase_online": false, "is_prime_user": false, "last_purchase": "2020-01-02T12:58:41.425-04:00" }, "payment_methods": { "excluded_payment_methods": [ { "id": "" } ], "default_installments": null, "default_payment_method_id": null, "excluded_payment_types": [ { "id": "" } ], "installments": null } }'